Page MenuHomePhabricator

Unknown topic error when viewing unconverted page in occupied namespace
Closed, ResolvedPublic

Description

  1. Start with NS_HELP_TALK not in $wgFlowOccupiedNamespaces
  2. Create Help talk:Foo (as a wikitext page)
  3. Add NS_HELP_TALK to $wgFlowOccupiedNamespaces
  4. Visit Help talk:Foo again

You'll see an error saying "Unknown topic. The requested topic doesn't exist".

This seems like it would be a problem for any full-namespace conversion, since we intend to skip conversion for archive pages (or more generally, subpages without corresponding subject namespace pages). This error would leave these archives (which could even have been created by Special:EnableFlow to begin with) inaccessible after conversion.

Event Timeline

Catrope created this task.Jun 9 2015, 7:52 PM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added subscribers: Aklapper, Catrope.

Apparently this does not affect subpages, so I guess this wouldn't directly affect conversion.

Except that this does seem to break the page forever, so if occupation is enabled before the page is converted (which probably shouldn't happen anyway? but could this happen as a race condition maybe?) then we'd have a problem.

In any case, this looks scary, even if it's not high-impact.

Change 219286 had a related patch set uploaded (by Legoktm):
Only check $wgFlowOccupy settings for non-existent pages

https://gerrit.wikimedia.org/r/219286

Legoktm claimed this task.Jun 18 2015, 11:51 PM

Change 219286 merged by jenkins-bot:
Only check $wgFlowOccupy settings for non-existent pages

https://gerrit.wikimedia.org/r/219286

Catrope closed this task as Resolved.Jun 20 2015, 8:06 PM